Bug 147815 - Display corruption w/ Nvidia driver & latest updates.
Display corruption w/ Nvidia driver & latest updates.
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
i386 Linux
medium Severity high
: ---
: ---
Assigned To: X/OpenGL Maintenance List
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2005-02-11 11:34 EST by Michael Breuer
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-02-11 12:11:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Michael Breuer 2005-02-11 11:34:45 EST
Description of problem:

With latest released updates installed along with Nvidia's proprietary
driver, the display is corrupted.

Version-Release number of selected component (if applicable):
Kernel: 2.6.10-1.760_FC3
X11: xorg-11-6.8.1-12.FC3.21
KDE: 3.3.1-4.3.FC3
Nvidia: 6629
Video Card: Riva TNT2/TNT2 Pro 32MB rev 15.

How reproducible: always.

Steps to Reproduce:
1. Install updates noted above.
2. The Nvidia logo & login screen (kdm) sort of merge - login works,
but the screen is unusable. - looks like nothing is ever cleared from
the framebuffer - just new bits added.

Actual results:

Corrupted display.

Expected results:

Normal display.
Additional info:

This just started with the last set of updates - I do a yum update
about once a week.

The issue does not happen using the open source "nv" driver.
Comment 1 Mike A. Harris 2005-02-11 12:11:21 EST
Thanks for the report.  For users who are experiencing problems
installing, configuring, or using the unsupported 3rd party
proprietary "nvidia" video driver, Nvidia provides indirect
customer support via an online web based support forum.  Nvidia
monitors these web forums for commonly reported problems and
passes them on to Nvidia engineers for investigation.  Once
they've isolated a particular problem, it is often fixed in
a future video driver update.

The NVNews Nvidia Linux driver forum is located at:


Once you have reported this issue in the Nvidia web forums,
others who may have experienced the particular problem may
be able to assist.  If there is a real bug occuring, Nvidia
will be able to determine this, and will likely resolve the
issue in a future driver update for the operating system
releases that they officially support.

While Red Hat does not support the proprietary nvidia driver,
users requiring technical support may also find the various
X.Org, XFree86, and Red Hat mailing lists helpful in finding

X.Org mailing lists:

XFree86 mailing lists:

Red Hat mailing lists:

Setting status to "NOTABUG" (unsupported).
Comment 2 Mitchell Brandsma 2005-03-03 00:06:58 EST
It turns out that the 6629 driver from nVidia is at fault here - it doesn't 
work sell with the older chipset(s).  The previous version - 6111 - is the way 
to go.
Comment 3 Michael Breuer 2005-03-03 21:52:40 EST
Actually, I have same issue with 6111... works without recent FC3 updates, not
with them.
Comment 4 Mike A. Harris 2005-03-03 23:09:32 EST
Thanks for mentioning that here, in case anyone else encounters the
problem and searches bugzilla.  We strongly recommend reporting it
in Nvidia's web forum, mentioned in my previous comment above also,
so that Nvidia is aware of the problem with their driver, and hopefully
will fix it in their next driver release.

Thanks again.

Note You need to log in before you can comment on or make changes to this bug.